
Figure - Bug #115401
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】遥控器应用列表中，有两个音乐
2023-01-18 16:36 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-18

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0069.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Reproducibility: Every time Fixed Version: 2023-01-30

Test Type: ST Root cause: 音乐和视频应用在同一个包下面不同activity，由于读取应用名的时候，是读取包名的应用名，所以出现了两个音乐��解决方案：读取应用名时，读取activity的lable

Description

【前提条件】

1、设备已开机

【测试步骤】

1.设备已经连接遥控器

2、点击遥控器中“获取应用列表”

【预期结果】

2、正确显示，设备中的所有应用

【实际结果】

2、有两个音乐

History

#1 - 2023-01-30 19:57 - CD FW-程天颖

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-30

- Root cause set to 音乐和视频应用在同一个包下面不同activity，由于读取应用名的时候，是读取包名的应用名，所以出现了两个音乐

解决方案：读取应用名时，读取activity的lable

■ Current conclusion

bug已解决，提交已入库

■ My analysis

音乐和视频应用在同一个包下面不同activity，由于读取应用名的时候，是读取包名的应用名，所以出现了两个音乐

解决方案：读取应用名时，读取activity的lable

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/177714

#2 - 2023-01-31 16:10 - CD FW-程天颖
- Assignee changed from CD FW-程天颖 to CD TEST-方永红

#3 - 2023-01-31 16:11 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

1.31

验证通过

#4 - 2023-01-31 16:11 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
